package com.pj.sso;

import org.springframework.web.bind.annotation.ExceptionHandler;
import org.springframework.web.bind.annotation.RestControllerAdvice;

import cn.dev33.satoken.exception.NotLoginException;
import cn.dev33.satoken.util.SaResult;

/**
 * 全局异常处理 
 * @author kong
 *
 */
@RestControllerAdvice
public class HandlerException {

	// 处理未登录异常 
	@ExceptionHandler(NotLoginException.class)
	public SaResult handlerNotLoginException(NotLoginException e) {
		// 打印异常堆栈，方便调试 
		e.printStackTrace(); 
		
		// 与前端约定好，code=401 时代表会话未登录 
		return SaResult.error().setCode(401);
	}

	// 全局异常拦截 
	@ExceptionHandler
	public SaResult handlerException(Exception e) {
		e.printStackTrace(); 
		return SaResult.error(e.getMessage());
	}
	
}
